﻿<?xml version="1.0" encoding="utf-8"?>
<edmx:Edmx Version="3.0" xmlns:edmx="http://schemas.microsoft.com/ado/2009/11/edmx">
  <!-- EF Runtime content -->
  <edmx:Runtime>
    <!-- SSDL content -->
    <edmx:StorageModels>
    <Schema Namespace="TechNetDBModel.Store" Provider="System.Data.SqlClient" ProviderManifestToken="2012" Alias="Self" xmlns:store="http://schemas.microsoft.com/ado/2007/12/edm/EntityStoreSchemaGenerator" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm/ssdl">
        <EntityType Name="Location">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Latitude" Type="float" Nullable="false" />
          <Property Name="Longitude" Type="float" Nullable="false" />
        </EntityType>
        <EntityType Name="SpatialObject">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="Description" Type="nvarchar" MaxLength="250" />
          <Property Name="LocationId" Type="int" Nullable="false" />
        </EntityType>
        <EntityType Name="SpatialObjectDocument">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" StoreGeneratedPattern="Identity" Nullable="false" />
          <Property Name="SpatialObjectId" Type="int" Nullable="false" />
          <Property Name="DocName" Type="nvarchar" MaxLength="100" Nullable="false" />
          <Property Name="DocUrl" Type="nvarchar" MaxLength="150" Nullable="false" />
        </EntityType>
        <EntityType Name="SpatialObjectReadModel">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="int" Nullable="false" />
          <Property Name="Name" Type="nvarchar" MaxLength="50" Nullable="false" />
          <Property Name="Description" Type="nvarchar" MaxLength="250" />
          <Property Name="Latitude" Type="float" Nullable="false" />
          <Property Name="Longitude" Type="float" Nullable="false" />
        </EntityType>
        <Association Name="FK_SpatialObject_Location">
          <End Role="Location" Type="Self.Location" Multiplicity="1" />
          <End Role="SpatialObject" Type="Self.SpatialObject" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Location">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="SpatialObject">
              <PropertyRef Name="LocationId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SpatialObjectDocument_SpatialObject">
          <End Role="SpatialObject" Type="Self.SpatialObject" Multiplicity="1" />
          <End Role="SpatialObjectDocument" Type="Self.SpatialObjectDocument" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="SpatialObject">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="SpatialObjectDocument">
              <PropertyRef Name="SpatialObjectId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Function Name="sp_GetGeographyDistance" Aggregate="false" BuiltIn="false" NiladicFunction="false" IsComposable="false" ParameterTypeSemantics="AllowImplicitConversion" Schema="dbo">
          <Parameter Name="FromLatitude" Type="float" Mode="In" />
          <Parameter Name="FromLongitude" Type="float" Mode="In" />
          <Parameter Name="ToLatitude" Type="float" Mode="In" />
          <Parameter Name="ToLongitude" Type="float" Mode="In" />
        </Function>
        <EntityContainer Name="TechNetDBModelStoreContainer">
          <EntitySet Name="Location" EntityType="Self.Location" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SpatialObject" EntityType="Self.SpatialObject" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SpatialObjectDocument" EntityType="Self.SpatialObjectDocument" Schema="dbo" store:Type="Tables" />
          <EntitySet Name="SpatialObjectReadModel" EntityType="Self.SpatialObjectReadModel" Schema="dbo" store:Type="Tables" />
          <AssociationSet Name="FK_SpatialObject_Location" Association="Self.FK_SpatialObject_Location">
            <End Role="Location" EntitySet="Location" />
            <End Role="SpatialObject" EntitySet="SpatialObject" />
          </AssociationSet>
          <AssociationSet Name="FK_SpatialObjectDocument_SpatialObject" Association="Self.FK_SpatialObjectDocument_SpatialObject">
            <End Role="SpatialObject" EntitySet="SpatialObject" />
            <End Role="SpatialObjectDocument" EntitySet="SpatialObjectDocument" />
          </AssociationSet>
        </EntityContainer>
      </Schema></edmx:StorageModels>
    <!-- CSDL content -->
    <edmx:ConceptualModels>
      <Schema Namespace="TechNetDBModel" Alias="Self" annotation:UseStrongSpatialTypes="false" xmlns:annotation="http://schemas.microsoft.com/ado/2009/02/edm/annotation" xmlns:customannotation="http://schemas.microsoft.com/ado/2013/11/edm/customannotation" xmlns="http://schemas.microsoft.com/ado/2009/11/edm">
        <EntityType Name="Location">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Latitude" Type="Double" Nullable="false" />
          <Property Name="Longitude" Type="Double" Nullable="false" />
          <NavigationProperty Name="SpatialObjects" Relationship="Self.FK_SpatialObject_Location" FromRole="Location" ToRole="SpatialObject" />
        </EntityType>
        <EntityType Name="SpatialObject">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="Name" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Description" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="LocationId" Type="Int32" Nullable="false" />
          <NavigationProperty Name="Location" Relationship="Self.FK_SpatialObject_Location" FromRole="SpatialObject" ToRole="Location" />
          <NavigationProperty Name="SpatialObjectDocuments" Relationship="Self.FK_SpatialObjectDocument_SpatialObject" FromRole="SpatialObject" ToRole="SpatialObjectDocument" />
        </EntityType>
        <EntityType Name="SpatialObjectDocument">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" annotation:StoreGeneratedPattern="Identity" />
          <Property Name="SpatialObjectId" Type="Int32" Nullable="false" />
          <Property Name="DocName" Type="String" MaxLength="100" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="DocUrl" Type="String" MaxLength="150" FixedLength="false" Unicode="true" Nullable="false" />
          <NavigationProperty Name="SpatialObject" Relationship="Self.FK_SpatialObjectDocument_SpatialObject" FromRole="SpatialObjectDocument" ToRole="SpatialObject" />
        </EntityType>
        <EntityType Name="SpatialObjectReadModel">
          <Key>
            <PropertyRef Name="Id" />
          </Key>
          <Property Name="Id" Type="Int32" Nullable="false" />
          <Property Name="Name" Type="String" MaxLength="50" FixedLength="false" Unicode="true" Nullable="false" />
          <Property Name="Description" Type="String" MaxLength="250" FixedLength="false" Unicode="true" />
          <Property Name="Latitude" Type="Double" Nullable="false" />
          <Property Name="Longitude" Type="Double" Nullable="false" />
        </EntityType>
        <Association Name="FK_SpatialObject_Location">
          <End Role="Location" Type="Self.Location" Multiplicity="1" />
          <End Role="SpatialObject" Type="Self.SpatialObject" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="Location">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="SpatialObject">
              <PropertyRef Name="LocationId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <Association Name="FK_SpatialObjectDocument_SpatialObject">
          <End Role="SpatialObject" Type="Self.SpatialObject" Multiplicity="1" />
          <End Role="SpatialObjectDocument" Type="Self.SpatialObjectDocument" Multiplicity="*" />
          <ReferentialConstraint>
            <Principal Role="SpatialObject">
              <PropertyRef Name="Id" />
            </Principal>
            <Dependent Role="SpatialObjectDocument">
              <PropertyRef Name="SpatialObjectId" />
            </Dependent>
          </ReferentialConstraint>
        </Association>
        <EntityContainer Name="TechNetDBEntities" annotation:LazyLoadingEnabled="true">
          <EntitySet Name="Locations" EntityType="Self.Location" />
          <EntitySet Name="SpatialObjects" EntityType="Self.SpatialObject" />
          <EntitySet Name="SpatialObjectDocuments" EntityType="Self.SpatialObjectDocument" />
          <EntitySet Name="SpatialObjectReadModels" EntityType="Self.SpatialObjectReadModel" />
          <AssociationSet Name="FK_SpatialObject_Location" Association="Self.FK_SpatialObject_Location">
            <End Role="Location" EntitySet="Locations" />
            <End Role="SpatialObject" EntitySet="SpatialObjects" />
          </AssociationSet>
          <AssociationSet Name="FK_SpatialObjectDocument_SpatialObject" Association="Self.FK_SpatialObjectDocument_SpatialObject">
            <End Role="SpatialObject" EntitySet="SpatialObjects" />
            <End Role="SpatialObjectDocument" EntitySet="SpatialObjectDocuments" />
          </AssociationSet>
          <FunctionImport Name="sp_GetGeographyDistance" ReturnType="Collection(Double)">
            <Parameter Name="FromLatitude" Mode="In" Type="Double" />
            <Parameter Name="FromLongitude" Mode="In" Type="Double" />
            <Parameter Name="ToLatitude" Mode="In" Type="Double" />
            <Parameter Name="ToLongitude" Mode="In" Type="Double" />
          </FunctionImport>
        </EntityContainer>
      </Schema>
    </edmx:ConceptualModels>
    <!-- C-S mapping content -->
    <edmx:Mappings>
      <Mapping Space="C-S" xmlns="http://schemas.microsoft.com/ado/2009/11/mapping/cs">
        <EntityContainerMapping StorageEntityContainer="TechNetDBModelStoreContainer" CdmEntityContainer="TechNetDBEntities">
          <EntitySetMapping Name="Locations">
            <EntityTypeMapping TypeName="TechNetDBModel.Location">
              <MappingFragment StoreEntitySet="Location">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Latitude" ColumnName="Latitude" />
                <ScalarProperty Name="Longitude" ColumnName="Longitude" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SpatialObjects">
            <EntityTypeMapping TypeName="TechNetDBModel.SpatialObject">
              <MappingFragment StoreEntitySet="SpatialObject">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="LocationId" ColumnName="LocationId" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SpatialObjectDocuments">
            <EntityTypeMapping TypeName="TechNetDBModel.SpatialObjectDocument">
              <MappingFragment StoreEntitySet="SpatialObjectDocument">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="SpatialObjectId" ColumnName="SpatialObjectId" />
                <ScalarProperty Name="DocName" ColumnName="DocName" />
                <ScalarProperty Name="DocUrl" ColumnName="DocUrl" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <EntitySetMapping Name="SpatialObjectReadModels">
            <EntityTypeMapping TypeName="TechNetDBModel.SpatialObjectReadModel">
              <MappingFragment StoreEntitySet="SpatialObjectReadModel">
                <ScalarProperty Name="Id" ColumnName="Id" />
                <ScalarProperty Name="Name" ColumnName="Name" />
                <ScalarProperty Name="Description" ColumnName="Description" />
                <ScalarProperty Name="Latitude" ColumnName="Latitude" />
                <ScalarProperty Name="Longitude" ColumnName="Longitude" />
              </MappingFragment>
            </EntityTypeMapping>
          </EntitySetMapping>
          <FunctionImportMapping FunctionImportName="sp_GetGeographyDistance" FunctionName="TechNetDBModel.Store.sp_GetGeographyDistance" />
        </EntityContainerMapping>
      </Mapping>
    </edmx:Mappings>
  </edmx:Runtime>
  <!-- EF Designer content (DO NOT EDIT MANUALLY BELOW HERE) -->
  <Designer xmlns="http://schemas.microsoft.com/ado/2009/11/edmx">
    <Connection>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="MetadataArtifactProcessing" Value="EmbedInOutputAssembly" />
      </DesignerInfoPropertySet>
    </Connection>
    <Options>
      <DesignerInfoPropertySet>
        <DesignerProperty Name="ValidateOnBuild" Value="true" />
        <DesignerProperty Name="EnablePluralization" Value="true" />
        <DesignerProperty Name="IncludeForeignKeysInModel" Value="true" />
        <DesignerProperty Name="UseLegacyProvider" Value="false" />
        <DesignerProperty Name="CodeGenerationStrategy" Value="None" />
      </DesignerInfoPropertySet>
    </Options>
    <!-- Diagram content (shape and connector positions) -->
    <Diagrams></Diagrams>
  </Designer>
</edmx:Edmx>